
From: Anton Blanchard <anton@samba.org>

From: Dave Hansen

This patch is obviously of the utmost importance.  It probably doesn't matter
as much for kernel error messages, but one of these mistakes is in a
user-readable /proc file.  

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by:  Andrew Morton <akpm@osdl.org>
---

 /dev/null                             |    0 
 25-akpm/arch/ppc64/kernel/rtas-proc.c |    4 ++--
 25-akpm/arch/ppc64/mm/init.c          |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/ppc64/kernel/rtas-proc.c~ppc64-kernel-hackers-cant-spell arch/ppc64/kernel/rtas-proc.c
--- 25/arch/ppc64/kernel/rtas-proc.c~ppc64-kernel-hackers-cant-spell	Wed May 26 15:39:07 2004
+++ 25-akpm/arch/ppc64/kernel/rtas-proc.c	Wed May 26 15:39:47 2004
@@ -541,7 +541,7 @@ char * ppc_rtas_process_error(int error)
 		case SENSOR_BUSY:
 			return "(busy)";
 		case SENSOR_NOT_EXIST:
-			return "(non existant)";
+			return "(non existent)";
 		case SENSOR_DR_ENTITY:
 			return "(dr entity removed)";
 		default:
@@ -698,7 +698,7 @@ int ppc_rtas_process_sensor(struct indiv
 			}
 			break;
 		default:
-			n += sprintf(buf+n,  "Unkown sensor (type %d), ignoring it\n",
+			n += sprintf(buf+n,  "Unknown sensor (type %d), ignoring it\n",
 					s.token);
 			unknown = 1;
 			have_strings = 1;
diff -puN arch/ppc64/mm/init.c~ppc64-kernel-hackers-cant-spell arch/ppc64/mm/init.c
--- 25/arch/ppc64/mm/init.c~ppc64-kernel-hackers-cant-spell	Wed May 26 15:39:07 2004
+++ 25-akpm/arch/ppc64/mm/init.c	Wed May 26 15:39:07 2004
@@ -407,7 +407,7 @@ int iounmap_explicit(void *addr, unsigne
 	area = im_get_area((unsigned long) addr, size, 
 			    IM_REGION_EXISTS | IM_REGION_SUBSET);
 	if (area == NULL) {
-		printk(KERN_ERR "%s() cannot unmap nonexistant range 0x%lx\n",
+		printk(KERN_ERR "%s() cannot unmap nonexistent range 0x%lx\n",
 				__FUNCTION__, (unsigned long) addr);
 		return 1;
 	}
diff -L rtas-proc.c -puN /dev/null /dev/null
_
